Subject: [mobile-ip] Protocol Action: Registration Revocation in Mobile IPv4 to Proposed Standard

From: The IESG <[email-masked]>
Date: Fri, 30 May 2003 16:24:28 -0400

The IESG has approved the Internet-Draft 'Registration Revocation in
 Mobile IPv4' <draft-ietf-mobileip-reg-revok-07.txt> as a Proposed
 Standard. This document is the product of the IP Routing for
 Wireless/Mobile Hosts Working Group.

 The IESG contact persons are Thomas Narten and Erik Nordmark.

 Technical Summary
   
 This document defines a Mobile IPv4 Registration Revocation mechanism
 whereby a mobility agent (i.e., either a Home Agent or Foreign Agent)
 that provides Mobile IP services to a mobile node can notify its peer
 mobility agent (or co-located mobile node) that it is discarding one
 or more of its mobility bindings and for this notification to be
 acknowledged. In addition, the signaling mechanism already defined by
 the Mobile IPv4 protocol is extended so that a mobility agent can also
 inform the mobile node(s) of the revocation of their binding(s).

 Working Group Summary
   
 There was support for this document in the WG.
   
 Protocol Quality
   
 This document has been reviewed for the IESG by Thomas Narten.

RFC Editor Note:

RFC-Editor, in Section 7.2 replace:

Old:
                  Revocation messages
                  defined in this document which are passed between home and
                  foreign agents in the revocation process MUST be protected by
                  either the same foreign-home authenticators defined in [1], or
                  another authentication mechanism at least as secure and agreed
                  upon by the end agents, e.g., IPSec and IKE.

New:

                All foreign and home agents MUST support protection of revocation
                messages via the foreign-home authenticators defined in [1].
                They MAY implement other mechanisms of equal or greater
                strength; if such mechanisms are known to be available to
                both parties, they MAY be used instead.